Package weka.core.pmml.jaxbbindings

# Enum Class INTERPOLATIONMETHOD

java.lang.Object
java.lang.Enum<INTERPOLATIONMETHOD>
weka.core.pmml.jaxbbindings.INTERPOLATIONMETHOD

All Implemented Interfaces:
  `Serializable`, `Comparable<INTERPOLATIONMETHOD>`, `Constable`

public enum INTERPOLATIONMETHOD extends Enum<INTERPOLATIONMETHOD>

Java class for INTERPOLATION-METHOD.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="INTERPOLATION-METHOD">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="none"/>
         <enumeration value="linear"/>
         <enumeration value="exponentialSpline"/>
         <enumeration value="cubicSpline"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUBIC_SPLINE`
  `EXPONENTIAL_SPLINE`
  `LINEAR`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static INTERPOLATIONMETHOD`
  `fromValue(String v)`
  `String`
  `value()`
  `static INTERPOLATIONMETHOD`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static INTERPOLATIONMETHOD[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CUBIC_SPLINE

    public static final INTERPOLATIONMETHOD CUBIC_SPLINE

  - ### EXPONENTIAL_SPLINE

    public static final INTERPOLATIONMETHOD EXPONENTIAL_SPLINE

  - ### LINEAR

    public static final INTERPOLATIONMETHOD LINEAR

  - ### NONE

    public static final INTERPOLATIONMETHOD NONE

- ## Method Details

  - ### values

    public static INTERPOLATIONMETHOD[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static INTERPOLATIONMETHOD valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static INTERPOLATIONMETHOD fromValue(String v)